## GstNetControlMessageMeta GstNetControlMessageMeta — Network Control Message Meta |

## Functions

GstNetControlMessageMeta * | gst_buffer_add_net_control_message_meta ()
#define | gst_buffer_get_net_control_message_meta()
const GstMetaInfo * | gst_net_control_message_meta_get_info ()

## Types and Values

struct | GstNetControlMessageMeta

## Includes

    #include <gst/net/gstnetcontrolmessagemeta.h>

## Description

GstNetControlMessageMeta can be used to store control messages (ancillary data) which was received with or is to be sent alongside the buffer data. When used with socket sinks and sources which understand this meta it allows sending and receiving ancillary data such as unix credentials (See GUnixCredentialsMessage) and Unix file descriptions (See GUnixFDMessage).

## Functions

### gst_buffer_add_net_control_message_meta ()

    GstNetControlMessageMeta *
    gst_buffer_add_net_control_message_meta
                                   (GstBuffer *buffer,
                                    GSocketControlMessage *message);

Attaches `message` as metadata in a GstNetControlMessageMeta to `buffer` .

#### Parameters

buffer | a GstBuffer |
message | a `GSocketControlMessage` to attach to `buffer` |

#### Returns

a GstNetControlMessageMeta connected to `buffer` .

[transfer none]

### gst_buffer_get_net_control_message_meta()

    #define             gst_buffer_get_net_control_message_meta(b)

### gst_net_control_message_meta_get_info ()

    const GstMetaInfo *
    gst_net_control_message_meta_get_info (void);

## Types and Values

### struct GstNetControlMessageMeta

    struct GstNetControlMessageMeta {
      GstMeta       meta;

      GSocketControlMessage *message;
    };

Buffer metadata for GSocket control messages, AKA ancillary data attached to data sent across a socket.

#### Members

GstMeta `meta`; | the parent type |
GSocketControlMessage *`message`; | a GSocketControlMessage stored as metadata |